﻿using System;
using System.Web.Security;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace GPStoGoogleMap {
    public partial class TestForm : System.Web.UI.Page {
        protected void Page_Load(object sender, EventArgs e) {
            if (User.Identity.IsAuthenticated) {
                displayCredentials.InnerHtml = "Current User : <b>" + User.Identity.Name + "</b>" +
        "<br><br>Authentication Used : <b>" + User.Identity.AuthenticationType + "</b>";
            }
            else {
                displayCredentials.InnerHtml = "Sorry, you have not been authenticated.";
            }

            if (!Page.IsPostBack) {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);
            }
        }

        protected void SignOut(object sender, EventArgs e) {
            //delete the users auth cookie and sign out
            FormsAuthentication.SignOut();
            //redirect the user to their referring page
            Response.Redirect(Request.UrlReferrer.ToString());

        }
    }
}
